<template>
  <v-container class="homePage">
    <v-row>
      <v-col cols="12">
        <ShowCategories class="show-categories-list" />
      </v-col>
      <v-col cols="12">
        <LastProducts :actualUserOfThePage="actualUserOfThePage" />
      </v-col>
      <v-col cols="12">
        <PromoProducts :actualUserOfThePage="actualUserOfThePage" />
      </v-col>
      <v-col cols="12">
        <MoreViewedProducts :actualUserOfThePage="actualUserOfThePage" />
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import MoreViewedProducts from '@/components/Home/MoreViewedProducts.vue'
import LastProducts from './LastProducts.vue'
import ShowCategories from '@/components/ShowCategories/ShowCategories.vue'
import PromoProducts from './PromoProducts.vue'
export default {
  name: 'HomePage',
  components: {
    ShowCategories,
    LastProducts,
    PromoProducts,
    MoreViewedProducts
  },
  props: {},
  data() {
    return {
      actualUserOfThePage: ''
    }
  },
  mounted() {
    this.actualUserOfThePage = this.$route.params.idActualUser
  },
  methods: {}
}
</script>

<style scoped>
.show-categories-list {
  padding-bottom: 4%;
}
</style>
